curl -X POST https://api.chargeapi.co/v1/reservations \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"connector_type": [
"CCS"
],
"driver": "drv_MrLs3VDRkma7gHAcmQ8InEi8CKZ91hrS",
"ideal_end": "2026-04-01T02:45:43.318Z",
"ideal_start": "2026-04-01T01:15:19.251Z",
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"vehicle": "veh_tnnvFIIM4oBXknF7qBVAy3biBlc0iKiv"
}'
{
"id": "res_BzPpVflI7WIwvfvbLAU7MwYvKweypDnW",
"object": "reservation",
"cancellation_policy": {
"free_until_before": 1800,
"type": "free_cancellation"
},
"charging_station": null,
"confirmed_at": null,
"connector_type": ["CCS"],
"created": "2026-04-01T00:15:05.782Z",
"currency": "eur",
"driver": "drv_MrLs3VDRkma7gHAcmQ8InEi8CKZ91hrS",
"earliest_start": null,
"failed_reason": null,
"ideal_end": "2026-04-01T02:45:43.318Z",
"ideal_start": "2026-04-01T01:15:19.251Z",
"latest_end": null,
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"metadata": {},
"payment_method": "pm_TLAK3sXzk1KvcsyGLlU8nKAN05nrF7NV",
"reservation_fee": 1200,
"reserved_end": null,
"reserved_start": null,
"status": "pending",
"updated": "2026-04-01T00:23:12.388Z",
"vehicle": "veh_tnnvFIIM4oBXknF7qBVAy3biBlc0iKiv"
}
Reservations
Create a Reservation
curl -X POST https://api.chargeapi.co/v1/reservations \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"connector_type": [
"CCS"
],
"driver": "drv_MrLs3VDRkma7gHAcmQ8InEi8CKZ91hrS",
"ideal_end": "2026-04-01T02:45:43.318Z",
"ideal_start": "2026-04-01T01:15:19.251Z",
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"vehicle": "veh_tnnvFIIM4oBXknF7qBVAy3biBlc0iKiv"
}'
{
"id": "res_BzPpVflI7WIwvfvbLAU7MwYvKweypDnW",
"object": "reservation",
"cancellation_policy": {
"free_until_before": 1800,
"type": "free_cancellation"
},
"charging_station": null,
"confirmed_at": null,
"connector_type": ["CCS"],
"created": "2026-04-01T00:15:05.782Z",
"currency": "eur",
"driver": "drv_MrLs3VDRkma7gHAcmQ8InEi8CKZ91hrS",
"earliest_start": null,
"failed_reason": null,
"ideal_end": "2026-04-01T02:45:43.318Z",
"ideal_start": "2026-04-01T01:15:19.251Z",
"latest_end": null,
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"metadata": {},
"payment_method": "pm_TLAK3sXzk1KvcsyGLlU8nKAN05nrF7NV",
"reservation_fee": 1200,
"reserved_end": null,
"reserved_start": null,
"status": "pending",
"updated": "2026-04-01T00:23:12.388Z",
"vehicle": "veh_tnnvFIIM4oBXknF7qBVAy3biBlc0iKiv"
}
Creates a reservation. New reservations start in
pending status. Charge attempts to confirm them about 30 minutes before the preferred charging window.
curl -X POST https://api.chargeapi.co/v1/reservations \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"connector_type": [
"CCS"
],
"driver": "drv_MrLs3VDRkma7gHAcmQ8InEi8CKZ91hrS",
"ideal_end": "2026-04-01T02:45:43.318Z",
"ideal_start": "2026-04-01T01:15:19.251Z",
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"vehicle": "veh_tnnvFIIM4oBXknF7qBVAy3biBlc0iKiv"
}'
{
"id": "res_BzPpVflI7WIwvfvbLAU7MwYvKweypDnW",
"object": "reservation",
"cancellation_policy": {
"free_until_before": 1800,
"type": "free_cancellation"
},
"charging_station": null,
"confirmed_at": null,
"connector_type": ["CCS"],
"created": "2026-04-01T00:15:05.782Z",
"currency": "eur",
"driver": "drv_MrLs3VDRkma7gHAcmQ8InEi8CKZ91hrS",
"earliest_start": null,
"failed_reason": null,
"ideal_end": "2026-04-01T02:45:43.318Z",
"ideal_start": "2026-04-01T01:15:19.251Z",
"latest_end": null,
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"metadata": {},
"payment_method": "pm_TLAK3sXzk1KvcsyGLlU8nKAN05nrF7NV",
"reservation_fee": 1200,
"reserved_end": null,
"reserved_start": null,
"status": "pending",
"updated": "2026-04-01T00:23:12.388Z",
"vehicle": "veh_tnnvFIIM4oBXknF7qBVAy3biBlc0iKiv"
}
Parameters
string
required
ID of the driver creating the reservation.
string
required
Preferred charging end time . RFC 3339 UTC timestamp with millisecond precision, e.g.
2026-03-03T14:05:23.789Z.string
required
Preferred charging start time . RFC 3339 UTC timestamp with millisecond precision, e.g.
2026-03-03T14:05:23.789Z.string | null
Payment method ID for reservation fees.
string
required
ID of the vehicle to charge.
More parameters
array of string
required
Preferred connector types for charging.Available options:
CHAdeMO, CCS, Type2string | null
Earliest acceptable charging start time. RFC 3339 UTC timestamp with millisecond precision, e.g.
2026-03-03T14:05:23.789Z.string | null
Latest acceptable charging end time. RFC 3339 UTC timestamp with millisecond precision, e.g.
2026-03-03T14:05:23.789Z.object
required
object
Set of key-value pairs that you can attach to an object.

